// Generated by CoffeeScript 2.3.2
(function() {
  var Promise, fs, pkg;

  Promise = require('bluebird');

  fs = require('fs');

  pkg = require('../test-fixtures/package.json');

  describe('A ReadmeCreator', function() {
    return it('creates a README based on given options and a template', function() {
      var ReadmeCreator, args;
      ReadmeCreator = require('./run.coffee');
      args = ['node', 'readme-creator'];
      args.push('--add-desc', pkg.config.readme.addDesc);
      args.push('--add-usage', pkg.config.readme.addUsage);
      args.push('--modules', 'CommonJS');
      args.push('--license-file', 'LICENSE');
      args.push('--badges', 'npm-version,travis,coveralls,dependencies,' + 'devDependencies,gitter,greenkeeper');
      args.push('--branch', 'master');
      args.push('--doc-file', 'index.html');
      args.push('--replace-references');
      args.push('--package-path', './test-fixtures/package.json');
      args.push('test-fixtures/test-README.md');
      return ReadmeCreator.run(args).then(function() {
        var expectedReadme;
        expectedReadme = fs.readFileSync('test-fixtures/expected-README.md', {
          encoding: 'utf-8'
        });
        return expect(fs.readFileSync('test-fixtures/test-README.md', {
          encoding: 'utf-8'
        })).to.equal(expectedReadme);
      }).catch(function(err) {
        throw err;
      });
    });
  });

}).call(this);
